## org.openmuc.jasn1.ber.types
Class BerEnum

    java.lang.Object
      org.openmuc.jasn1.ber.types.BerInteger
          org.openmuc.jasn1.ber.types.BerEnum

    public class BerEnum

extends BerInteger

Field Summary
`static BerIdentifier` `identifier`

Fields inherited from class org.openmuc.jasn1.ber.types.BerInteger
`code, id, val`

Constructor Summary
`BerEnum()`
`BerEnum(byte[] code)`
`BerEnum(long val)`

Method Summary

Methods inherited from class org.openmuc.jasn1.ber.types.BerInteger
`decode, encode, encodeAndSave`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### identifier

    public static final BerIdentifier identifier

Constructor Detail

### BerEnum

    public BerEnum()

### BerEnum

    public BerEnum(byte[] code)

### BerEnum

    public BerEnum(long val)